Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.util.accesslog
Class SharedTCLogParser

    java.lang.Object
      org.apache.jmeter.protocol.http.util.accesslog.TCLogParser
          org.apache.jmeter.protocol.http.util.accesslog.SharedTCLogParser

All Implemented Interfaces:
  Cloneable, LogParser, TestCloneable

Direct Known Subclasses:
  OrderPreservingLogParser

public class SharedTCLogParser
extends TCLogParser
implements TestCloneable

Field Summary

Fields inherited from class org.apache.jmeter.protocol.http.util.accesslog.TCLogParser
`decode, FILENAME, FILTER, GET, log, POST, READER, RMETHOD, SOURCE, URL_PATH, useFILE`

Constructor Summary
`SharedTCLogParser()`
`SharedTCLogParser(String source)`

Method Summary
`Object` | `clone()`
`void` | `close()` close the any streams or readers.
`protected int` | `parse(FileServer breader, TestElement el, int parseCount)` The method is responsible for reading each line, and breaking out of the while loop if a set number of lines is given.
`int` | `parse(TestElement el, int parseCount)` parse the entire file.

Methods inherited from class org.apache.jmeter.protocol.http.util.accesslog.TCLogParser
`checkMethod, checkParamFormat, checkURL, cleanURL, convertStringToJMRequest, convertStringtoNVPair, decodeParameterValue, parse, parseAndConfigure, parseLine, parseOneParameter, parseParameters, setDecodeParameterValues, setFilter, setSourceFile, setUseParsedFile, stripFile, tokenize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedTCLogParser

    public SharedTCLogParser()

### SharedTCLogParser

    public SharedTCLogParser(String source)

Method Detail

### clone

    public Object clone()

  Specified by:
    `clone` in interface `TestCloneable`

### parse

    public int parse(TestElement el,
                     int parseCount)

  Description copied from class: `TCLogParser`
  parse the entire file.

  Overrides:
    `parse` in class `TCLogParser`
  Returns:
    boolean success/failure

### parse

    protected int parse(FileServer breader,
                        TestElement el,
                        int parseCount)

  The method is responsible for reading each line, and breaking out of the while loop if a set number of lines is given.

  Parameters:
    `breader` -

### close

    public void close()

  Description copied from interface: `LogParser`
  close the any streams or readers.

  Specified by:
    `close` in interface `LogParser`
  Overrides:
    `close` in class `TCLogParser`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.